/*
* Copyright 2020 Kumori systems S.L.
*
* Licensed under the EUPL, Version 1.2 or – as soon they
* will be approved by the European Commission - subsequent
* versions of the EUPL (the "Licence");
* You may not use this work except in compliance with the
* Licence.
* You may obtain a copy of the Licence at:
*
* https://joinup.ec.europa.eu/software/page/eupl
*
* Unless required by applicable law or agreed to in
* writing, software distributed under the Licence is
* distributed on an "AS IS" basis,
* WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either
* express or implied.
* See the Licence for the specific language governing
* permissions and limitations under the Licence.
 */
// Code generated by lister-gen. DO NOT EDIT.

package v1beta1

// ClusterListerExpansion allows custom methods to be added to
// ClusterLister.
type ClusterListerExpansion interface{}

// ClusterNamespaceListerExpansion allows custom methods to be added to
// ClusterNamespaceLister.
type ClusterNamespaceListerExpansion interface{}

// ClusterClassListerExpansion allows custom methods to be added to
// ClusterClassLister.
type ClusterClassListerExpansion interface{}

// ClusterClassNamespaceListerExpansion allows custom methods to be added to
// ClusterClassNamespaceLister.
type ClusterClassNamespaceListerExpansion interface{}

// MachineListerExpansion allows custom methods to be added to
// MachineLister.
type MachineListerExpansion interface{}

// MachineNamespaceListerExpansion allows custom methods to be added to
// MachineNamespaceLister.
type MachineNamespaceListerExpansion interface{}

// MachineDeploymentListerExpansion allows custom methods to be added to
// MachineDeploymentLister.
type MachineDeploymentListerExpansion interface{}

// MachineDeploymentNamespaceListerExpansion allows custom methods to be added to
// MachineDeploymentNamespaceLister.
type MachineDeploymentNamespaceListerExpansion interface{}

// MachineHealthCheckListerExpansion allows custom methods to be added to
// MachineHealthCheckLister.
type MachineHealthCheckListerExpansion interface{}

// MachineHealthCheckNamespaceListerExpansion allows custom methods to be added to
// MachineHealthCheckNamespaceLister.
type MachineHealthCheckNamespaceListerExpansion interface{}

// MachineSetListerExpansion allows custom methods to be added to
// MachineSetLister.
type MachineSetListerExpansion interface{}

// MachineSetNamespaceListerExpansion allows custom methods to be added to
// MachineSetNamespaceLister.
type MachineSetNamespaceListerExpansion interface{}
